@scalar/api-reference 1.14.8 → 1.14.10
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +14 -0
- package/dist/browser/standalone.js +5 -5
- package/dist/components/Content/ReferenceEndpoint/CustomRequestExamples.vue.d.ts.map +1 -1
- package/dist/components/Content/ReferenceEndpoint/{PathResponses/SelectExample.vue.d.ts → ExamplePicker.vue.d.ts} +7 -3
- package/dist/components/Content/ReferenceEndpoint/ExamplePicker.vue.d.ts.map +1 -0
- package/dist/components/Content/ReferenceEndpoint/ExampleRequest.vue.d.ts.map +1 -1
- package/dist/components/Content/ReferenceEndpoint/ParameterItem.vue.d.ts.map +1 -1
- package/dist/components/Content/ReferenceEndpoint/PathResponses/ExampleResponse.vue.d.ts +0 -2
- package/dist/components/Content/ReferenceEndpoint/PathResponses/ExampleResponse.vue.d.ts.map +1 -1
- package/dist/components/Content/ReferenceEndpoint/PathResponses/PathResponses.vue.d.ts.map +1 -1
- package/dist/components/Content/Schema.vue.d.ts +2 -15
- package/dist/components/Content/Schema.vue.d.ts.map +1 -1
- package/dist/components/Content/SchemaHeading.vue.d.ts.map +1 -1
- package/dist/components/Content/SchemaProperty.vue.d.ts.map +1 -1
- package/dist/components/Section/Section.vue.d.ts.map +1 -1
- package/dist/helpers/getRequestBodyFromOperation.d.ts +1 -1
- package/dist/helpers/getRequestBodyFromOperation.d.ts.map +1 -1
- package/dist/helpers/getRequestFromOperation.d.ts +1 -1
- package/dist/helpers/getRequestFromOperation.d.ts.map +1 -1
- package/dist/hooks/useParser.d.ts +2 -0
- package/dist/hooks/useParser.d.ts.map +1 -1
- package/dist/{index-b9cb304a.js → index-745cc021.js} +2 -2
- package/dist/{index-e661932e.js → index-e4a1ff91.js} +6284 -6233
- package/dist/index.js +2 -2
- package/dist/types.d.ts +2 -0
- package/dist/types.d.ts.map +1 -1
- package/package.json +2 -2
- package/dist/components/Content/ReferenceEndpoint/PathResponses/SelectExample.vue.d.ts.map +0 -1
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"CustomRequestExamples.vue.d.ts","sourceRoot":"","sources":["../../../../src/components/Content/ReferenceEndpoint/CustomRequestExamples.vue.ts"],"names":[],"mappings":"AAOA,OAAO,KAAK,EAAE,oBAAoB,EAAE,oBAAoB,EAAE,MAAM,gBAAgB,CAAA;;;;;;;;;;;
|
|
1
|
+
{"version":3,"file":"CustomRequestExamples.vue.d.ts","sourceRoot":"","sources":["../../../../src/components/Content/ReferenceEndpoint/CustomRequestExamples.vue.ts"],"names":[],"mappings":"AAOA,OAAO,KAAK,EAAE,oBAAoB,EAAE,oBAAoB,EAAE,MAAM,gBAAgB,CAAA;;;;;;;;;;;AAqVhF,wBAAwG;AAGxG,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC;AAC9M,KAAK,uBAAuB,CAAC,CAAC,EAAE,CAAC,IAAI,CAAC,GAAG;IAAE,QAAO;QAClD,MAAM,EAAE,CAAC,CAAC;KACT,CAAA;CAAE,CAAC"}
|
|
@@ -1,8 +1,12 @@
|
|
|
1
1
|
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToRuntimeProps<{
|
|
2
2
|
examples: Record<string, any>;
|
|
3
|
-
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
|
|
3
|
+
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
|
|
4
|
+
"update:modelValue": (v: string) => void;
|
|
5
|
+
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToRuntimeProps<{
|
|
4
6
|
examples: Record<string, any>;
|
|
5
|
-
}
|
|
7
|
+
}>>> & {
|
|
8
|
+
"onUpdate:modelValue"?: ((v: string) => any) | undefined;
|
|
9
|
+
}, {}, {}>;
|
|
6
10
|
export default _default;
|
|
7
11
|
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
|
|
8
12
|
type __VLS_TypePropsToRuntimeProps<T> = {
|
|
@@ -13,4 +17,4 @@ type __VLS_TypePropsToRuntimeProps<T> = {
|
|
|
13
17
|
required: true;
|
|
14
18
|
};
|
|
15
19
|
};
|
|
16
|
-
//# sourceMappingURL=
|
|
20
|
+
//# sourceMappingURL=ExamplePicker.vue.d.ts.map
|
|
@@ -0,0 +1 @@
|
|
|
1
|
+
{"version":3,"file":"ExamplePicker.vue.d.ts","sourceRoot":"","sources":["../../../../src/components/Content/ReferenceEndpoint/ExamplePicker.vue.ts"],"names":[],"mappings":";cAmIY,OAAO,MAAM,EAAE,GAAG,CAAC;;;;cAAnB,OAAO,MAAM,EAAE,GAAG,CAAC;;;;AAF/B,wBASG;AAGH,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC"}
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"ExampleRequest.vue.d.ts","sourceRoot":"","sources":["../../../../src/components/Content/ReferenceEndpoint/ExampleRequest.vue.ts"],"names":[],"mappings":"AAmBA,OAAO,KAAK,EAAE,oBAAoB,EAAE,MAAM,gBAAgB,CAAA;;;;;;;;;
|
|
1
|
+
{"version":3,"file":"ExampleRequest.vue.d.ts","sourceRoot":"","sources":["../../../../src/components/Content/ReferenceEndpoint/ExampleRequest.vue.ts"],"names":[],"mappings":"AAmBA,OAAO,KAAK,EAAE,oBAAoB,EAAE,MAAM,gBAAgB,CAAA;;;;;;;;;AAyd1D,wBAAwG;AAGxG,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC;AAC9M,KAAK,uBAAuB,CAAC,CAAC,EAAE,CAAC,IAAI,CAAC,GAAG;IAAE,QAAO;QAClD,MAAM,EAAE,CAAC,CAAC;KACT,CAAA;CAAE,CAAC"}
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"ParameterItem.vue.d.ts","sourceRoot":"","sources":["../../../../src/components/Content/ReferenceEndpoint/ParameterItem.vue.ts"],"names":[],"mappings":"AAEA,OAAO,KAAK,EAAE,UAAU,EAAE,MAAM,gBAAgB,CAAA;;
|
|
1
|
+
{"version":3,"file":"ParameterItem.vue.d.ts","sourceRoot":"","sources":["../../../../src/components/Content/ReferenceEndpoint/ParameterItem.vue.ts"],"names":[],"mappings":"AAEA,OAAO,KAAK,EAAE,UAAU,EAAE,MAAM,gBAAgB,CAAA;;eA4F2B,UAAU;;;;;eAAV,UAAU;;;;;kBAAiB,OAAO;;AAD7G,wBAMG;AAGH,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC;AAC9M,KAAK,kBAAkB,CAAC,CAAC,EAAE,CAAC,IAAI;KAE1B,CAAC,IAAI,MAAM,IAAI,CAAC,CAAC,EAAE,MAAM,CAAC,CAAC,GAAG,CAAC,SAAS,MAAM,CAAC,GAAG,cAAc,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG;QACxE,OAAO,EAAE,CAAC,CAAC,CAAC,CAAC,CAAA;KACb,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC;CACT,CAAC;AACN,KAAK,cAAc,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC;CAAG,GAAG,EAAE,CAAC"}
|
|
@@ -1,12 +1,10 @@
|
|
|
1
1
|
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToRuntimeProps<{
|
|
2
2
|
response: undefined | {
|
|
3
|
-
examples?: Record<string, any>;
|
|
4
3
|
example?: any;
|
|
5
4
|
schema?: any;
|
|
6
5
|
};
|
|
7
6
|
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToRuntimeProps<{
|
|
8
7
|
response: undefined | {
|
|
9
|
-
examples?: Record<string, any>;
|
|
10
8
|
example?: any;
|
|
11
9
|
schema?: any;
|
|
12
10
|
};
|
package/dist/components/Content/ReferenceEndpoint/PathResponses/ExampleResponse.vue.d.ts.map
CHANGED
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"ExampleResponse.vue.d.ts","sourceRoot":"","sources":["../../../../../src/components/Content/ReferenceEndpoint/PathResponses/ExampleResponse.vue.ts"],"names":[],"mappings":";
|
|
1
|
+
{"version":3,"file":"ExampleResponse.vue.d.ts","sourceRoot":"","sources":["../../../../../src/components/Content/ReferenceEndpoint/PathResponses/ExampleResponse.vue.ts"],"names":[],"mappings":";cAsVM,SAAS,GACT;QACE,OAAO,CAAC,EAAE,GAAG,CAAA;QACb,MAAM,CAAC,EAAE,GAAG,CAAA;KACb;;cAJD,SAAS,GACT;QACE,OAAO,CAAC,EAAE,GAAG,CAAA;QACb,MAAM,CAAC,EAAE,GAAG,CAAA;KACb;;AAPP,wBAaG;AAGH,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC"}
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"PathResponses.vue.d.ts","sourceRoot":"","sources":["../../../../../src/components/Content/ReferenceEndpoint/PathResponses/PathResponses.vue.ts"],"names":[],"mappings":"AAMA,OAAO,KAAK,EAAE,oBAAoB,EAAE,MAAM,mBAAmB,CAAA;;
|
|
1
|
+
{"version":3,"file":"PathResponses.vue.d.ts","sourceRoot":"","sources":["../../../../../src/components/Content/ReferenceEndpoint/PathResponses/PathResponses.vue.ts"],"names":[],"mappings":"AAMA,OAAO,KAAK,EAAE,oBAAoB,EAAE,MAAM,mBAAmB,CAAA;;eA4aL,oBAAoB;;eAApB,oBAAoB;;AAD5E,wBAMG;AAGH,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC"}
|
|
@@ -6,14 +6,9 @@ declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_T
|
|
|
6
6
|
/** A tighter layout with less borders and without a heading */
|
|
7
7
|
compact?: boolean | undefined;
|
|
8
8
|
/** Shows a toggle to hide/show children */
|
|
9
|
-
|
|
10
|
-
/** Even if toggleVisibility is true, the content will always be shown. But children still have the toggle. */
|
|
11
|
-
hideVisibilityToggle?: boolean | undefined;
|
|
9
|
+
noncollapsible?: boolean | undefined;
|
|
12
10
|
}>, {
|
|
13
11
|
level: number;
|
|
14
|
-
compact: boolean;
|
|
15
|
-
toggleVisibility: boolean;
|
|
16
|
-
hideVisibilityToggle: boolean;
|
|
17
12
|
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<{
|
|
18
13
|
value?: string | Record<string, any> | undefined;
|
|
19
14
|
/** Track how deep we’ve gone */
|
|
@@ -22,19 +17,11 @@ declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_T
|
|
|
22
17
|
/** A tighter layout with less borders and without a heading */
|
|
23
18
|
compact?: boolean | undefined;
|
|
24
19
|
/** Shows a toggle to hide/show children */
|
|
25
|
-
|
|
26
|
-
/** Even if toggleVisibility is true, the content will always be shown. But children still have the toggle. */
|
|
27
|
-
hideVisibilityToggle?: boolean | undefined;
|
|
20
|
+
noncollapsible?: boolean | undefined;
|
|
28
21
|
}>, {
|
|
29
22
|
level: number;
|
|
30
|
-
compact: boolean;
|
|
31
|
-
toggleVisibility: boolean;
|
|
32
|
-
hideVisibilityToggle: boolean;
|
|
33
23
|
}>>>, {
|
|
34
24
|
level: number;
|
|
35
|
-
compact: boolean;
|
|
36
|
-
toggleVisibility: boolean;
|
|
37
|
-
hideVisibilityToggle: boolean;
|
|
38
25
|
}, {}>;
|
|
39
26
|
export default _default;
|
|
40
27
|
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"Schema.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Content/Schema.vue.ts"],"names":[],"mappings":";;
|
|
1
|
+
{"version":3,"file":"Schema.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Content/Schema.vue.ts"],"names":[],"mappings":";;IA6UI,gCAAgC;;;IAIhC,+DAA+D;;IAE/D,2CAA2C;;;;;;IAN3C,gCAAgC;;;IAIhC,+DAA+D;;IAE/D,2CAA2C;;;;;WALnC,MAAM;;AAJlB,wBAgBG;AAGH,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC;AAC9M,KAAK,kBAAkB,CAAC,CAAC,EAAE,CAAC,IAAI;KAE1B,CAAC,IAAI,MAAM,IAAI,CAAC,CAAC,EAAE,MAAM,CAAC,CAAC,GAAG,CAAC,SAAS,MAAM,CAAC,GAAG,cAAc,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG;QACxE,OAAO,EAAE,CAAC,CAAC,CAAC,CAAC,CAAA;KACb,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC;CACT,CAAC;AACN,KAAK,cAAc,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC;CAAG,GAAG,EAAE,CAAC"}
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"SchemaHeading.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Content/SchemaHeading.vue.ts"],"names":[],"mappings":"AAEA,OAAO,
|
|
1
|
+
{"version":3,"file":"SchemaHeading.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Content/SchemaHeading.vue.ts"],"names":[],"mappings":"AAEA,OAAO,EAAE,KAAK,SAAS,EAAE,MAAM,eAAe,CAAA;;WA2GrC,UAAU,YAAY;;;WAAtB,UAAU,YAAY;;;AAF/B,wBASG;AAGH,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC"}
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"SchemaProperty.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Content/SchemaProperty.vue.ts"],"names":[],"mappings":";;;;;;;;;;;;;;;;;;;;;;;
|
|
1
|
+
{"version":3,"file":"SchemaProperty.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Content/SchemaProperty.vue.ts"],"names":[],"mappings":";;;;;;;;;;;;;;;;;;;;;;;cAkjBe,OAAO;WAFV,MAAM;aAGJ,OAAO;;AANrB,0BAaG;AAGH,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC;AAC9M,KAAK,kBAAkB,CAAC,CAAC,EAAE,CAAC,IAAI;KAE1B,CAAC,IAAI,MAAM,IAAI,CAAC,CAAC,EAAE,MAAM,CAAC,CAAC,GAAG,CAAC,SAAS,MAAM,CAAC,GAAG,cAAc,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG;QACxE,OAAO,EAAE,CAAC,CAAC,CAAC,CAAC,CAAA;KACb,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC;CACT,CAAC;AACN,KAAK,cAAc,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC;CAAG,GAAG,EAAE,CAAC"}
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"Section.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Section/Section.vue.ts"],"names":[],"mappings":";;;;;;;;;
|
|
1
|
+
{"version":3,"file":"Section.vue.d.ts","sourceRoot":"","sources":["../../../src/components/Section/Section.vue.ts"],"names":[],"mappings":";;;;;;;;;AA6GA,wBAAwG;AAGxG,KAAK,sBAAsB,CAAC,CAAC,IAAI,CAAC,SAAS,SAAS,GAAG,KAAK,GAAG,CAAC,CAAC;AACjE,KAAK,6BAA6B,CAAC,CAAC,IAAI;KAAG,CAAC,IAAI,MAAM,CAAC,CAAC,CAAC,GAAG,EAAE,SAAS,IAAI,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,sBAAsB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAA;KAAE,GAAG;QAAE,IAAI,EAAE,OAAO,KAAK,EAAE,QAAQ,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC;QAAC,QAAQ,EAAE,IAAI,CAAA;KAAE;CAAE,CAAC;AAC9M,KAAK,uBAAuB,CAAC,CAAC,EAAE,CAAC,IAAI,CAAC,GAAG;IAAE,QAAO;QAClD,MAAM,EAAE,CAAC,CAAC;KACT,CAAA;CAAE,CAAC"}
|
|
@@ -2,7 +2,7 @@ import type { ContentType, TransformedOperation } from '../types';
|
|
|
2
2
|
/**
|
|
3
3
|
* Get the request body from the operation.
|
|
4
4
|
*/
|
|
5
|
-
export declare function getRequestBodyFromOperation(operation: TransformedOperation): {
|
|
5
|
+
export declare function getRequestBodyFromOperation(operation: TransformedOperation, selectedExampleKey?: string | number): {
|
|
6
6
|
postData: {
|
|
7
7
|
mimeType: string;
|
|
8
8
|
text: any;
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"getRequestBodyFromOperation.d.ts","sourceRoot":"","sources":["../../src/helpers/getRequestBodyFromOperation.ts"],"names":[],"mappings":"AAAA,OAAO,KAAK,EAAE,WAAW,EAAE,oBAAoB,EAAE,MAAM,UAAU,CAAA;AAQjE;;GAEG;AACH,wBAAgB,2BAA2B,
|
|
1
|
+
{"version":3,"file":"getRequestBodyFromOperation.d.ts","sourceRoot":"","sources":["../../src/helpers/getRequestBodyFromOperation.ts"],"names":[],"mappings":"AAAA,OAAO,KAAK,EAAE,WAAW,EAAE,oBAAoB,EAAE,MAAM,UAAU,CAAA;AAQjE;;GAEG;AACH,wBAAgB,2BAA2B,CACzC,SAAS,EAAE,oBAAoB,EAC/B,kBAAkB,CAAC,EAAE,MAAM,GAAG,MAAM;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;cAqNrC"}
|
|
@@ -1,5 +1,5 @@
|
|
|
1
1
|
import type { HarRequestWithPath, TransformedOperation } from '../types';
|
|
2
2
|
export declare const getRequestFromOperation: (operation: TransformedOperation, options?: {
|
|
3
3
|
replaceVariables?: boolean;
|
|
4
|
-
}) => Partial<HarRequestWithPath>;
|
|
4
|
+
}, selectedExampleKey?: string | number) => Partial<HarRequestWithPath>;
|
|
5
5
|
//# sourceMappingURL=getRequestFromOperation.d.ts.map
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"getRequestFromOperation.d.ts","sourceRoot":"","sources":["../../src/helpers/getRequestFromOperation.ts"],"names":[],"mappings":"AAAA,OAAO,KAAK,EAEV,kBAAkB,EAGlB,oBAAoB,EACrB,MAAM,UAAU,CAAA;AAGjB,eAAO,MAAM,uBAAuB,cACvB,oBAAoB,YACrB;IACR,gBAAgB,CAAC,EAAE,OAAO,CAAA;CAC3B,
|
|
1
|
+
{"version":3,"file":"getRequestFromOperation.d.ts","sourceRoot":"","sources":["../../src/helpers/getRequestFromOperation.ts"],"names":[],"mappings":"AAAA,OAAO,KAAK,EAEV,kBAAkB,EAGlB,oBAAoB,EACrB,MAAM,UAAU,CAAA;AAGjB,eAAO,MAAM,uBAAuB,cACvB,oBAAoB,YACrB;IACR,gBAAgB,CAAC,EAAE,OAAO,CAAA;CAC3B,uBACoB,MAAM,GAAG,MAAM,KACnC,QAAQ,kBAAkB,CA8B5B,CAAA"}
|
|
@@ -44,6 +44,8 @@ export declare function useParser({ input, }: {
|
|
|
44
44
|
responses?: Record<string, import("../types").Response> | undefined;
|
|
45
45
|
security?: import("openapi-types").OpenAPIV3.SecurityRequirementObject[] | undefined;
|
|
46
46
|
requestBody?: {
|
|
47
|
+
description?: string | undefined;
|
|
48
|
+
required?: boolean | undefined;
|
|
47
49
|
content?: {
|
|
48
50
|
"application/json"?: {
|
|
49
51
|
schema?: any;
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"useParser.d.ts","sourceRoot":"","sources":["../../src/hooks/useParser.ts"],"names":[],"mappings":"AAEA,OAAO,EAAE,KAAK,WAAW,EAAE,KAAK,GAAG,EAA+B,MAAM,KAAK,CAAA;AAE7E,OAAO,KAAK,EAAE,IAAI,EAAE,MAAM,UAAU,CAAA;AA4BpC;;GAEG;AACH,wBAAgB,SAAS,CAAC,EACxB,KAAK,GACN,EAAE;IACD,KAAK,CAAC,EAAE,MAAM,GAAG,GAAG,CAAC,MAAM,CAAC,GAAG,WAAW,CAAC,MAAM,CAAC,CAAA;CACnD
|
|
1
|
+
{"version":3,"file":"useParser.d.ts","sourceRoot":"","sources":["../../src/hooks/useParser.ts"],"names":[],"mappings":"AAEA,OAAO,EAAE,KAAK,WAAW,EAAE,KAAK,GAAG,EAA+B,MAAM,KAAK,CAAA;AAE7E,OAAO,KAAK,EAAE,IAAI,EAAE,MAAM,UAAU,CAAA;AA4BpC;;GAEG;AACH,wBAAgB,SAAS,CAAC,EACxB,KAAK,GACN,EAAE;IACD,KAAK,CAAC,EAAE,MAAM,GAAG,GAAG,CAAC,MAAM,CAAC,GAAG,WAAW,CAAC,MAAM,CAAC,CAAA;CACnD;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;oCA6CwC,IAAI;;EAS5C"}
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import { defineComponent as b, ref as w, watch as I, openBlock as p, createElementBlock as g, Fragment as E, createElementVNode as U, unref as a, createTextVNode as d, createCommentVNode as S, renderSlot as k, createVNode as s, withCtx as u, toDisplayString as N, computed as D, isRef as B, normalizeClass as L, createBlock as T } from "vue";
|
|
2
|
-
import { o as j, H as R, E as H, U as O, u as F, f as A, _ as M, a as J, m as z, R as Q } from "./index-
|
|
3
|
-
import { b as Be } from "./index-
|
|
2
|
+
import { o as j, H as R, E as H, U as O, u as F, f as A, _ as M, a as J, m as z, R as Q } from "./index-e4a1ff91.js";
|
|
3
|
+
import { b as Be } from "./index-e4a1ff91.js";
|
|
4
4
|
import { useMediaQuery as W, useFileDialog as Y } from "@vueuse/core";
|
|
5
5
|
import "@headlessui/vue";
|
|
6
6
|
import "axios";
|